KJL - Bug #1895

[Payroll Accounting] Tidak Bisa Running Payroll Vendor Monas
12/26/2022 11:35 AM - Mega Yunita

Status: Closed Start date: 12/26/2022
Priority: Urgent Due date: 12/27/2022
Assignee: Mega Yunita % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Mbak Yoma,

Mohon bantuannya untuk memperbaiki masalah yang terjadi, yaitu :
1. Saat melakukan running payroll, terdapat alert "Payroll Group Doesn't Match PayrollGroup Employee”, kemungkinan terjadi
karena costum EmployeelD yang awalnya 8 digit, menjadi 12 digit.

TableName : PYPAYROLLGROUPEMPLOYEE

Port : http://remote.minovais.com:31138/

Server : remote.minovais.com, 1442\MSSQLSERVER2014
DB : MinovaES_KJL

Menu Desktop : Payroll Administration > Payroll Proses
Menu Mobile : Home > Leave

untuk testing

username : mega

employeelD : 000222060266 (Soni Kurnia Saputra)
period : 11-22

Payroll Group : Vendor Monas

Semoga dapat dimengerti

Terimakasih

[z WIN-PHETIO258IH MincvaES_KJL - dbo.SDATASOURCE - Microsoft SOL Server Management Studio - x
File Edit View Project Debug QueryDesigner Tools Window Help
P e o NewQuery [y efyovy iy | £ 3|9 - & - S~ 5| 4 & |PCMWFRUNMAIN where Bizflow =| | <3 a1 R
Lyt e b > =
{2l & e & | ChangeType~ | 1 ke 1= | #5908 -

f LR A Lo RELT S RRG L LRS T P Ve, \WIN-PHETIO259)H....- dbo.SDATATABLE WIN-PHBTIOZ259)H....0.SDATATABLEFIELD WIN-PHBTIO259)H...- dbo.PHRPYPGRUP

Connect~ 3 3 m T [£] .5 Column Alias Table Outp.. Sort Type Sort Order ar... Or...
[3 System Databases ~ R DataSourceM... SDATASO...
[ Database Snapshots TableName SDATASO...
| MinovaDataES_MinovalS_API
[J MinovaES_Amartha_Dev StoreToTable SDATASQO...
| MinovaES_Amartha_Prod StringQuery SDATASO...
[ MinovaEs_Amartha_taging LibraryName... SDATASO...
|J MinovaES_Arita_Dev
ClassN SDATASQ... ]
[ MinovaES_BIA Dev asstiame
[ MinovaES_BIA_Prod MethodName SDATASO...
| MinovaES_Dema Active SDATASO...
= [ Minovaks_KIL Ol
[ Database Diagrams
= 3 Tables (filtered)
[ System Tables
3 FileTables
=1 dbo.PHRPYMASSDATALOG DataSourceName TableMame  StoreToTa..  StringQuery LibraryMameFile ClassName MethodMame Active
= dbo.SDATAFIELDREF 3 PYPAYROLLGROUPEMPLOYEE NULL 1 NULL MinovalS.MinovaES.Extensions.Data.Element LoadDataSet PYPAYROLLGRO... 1
T dbo.SDATAFIELDREFTX s UL NULL NULL NULL NULL NULL NULL NULL
= dbo.SDATAREF
= dbo.SDATASOURCE

07/02/2025 1/3



http://remote.minovais.com:31138/

‘;53 WIN-PH8TIO259)H . MinovakS_KIL - dbo.SDATATABLE - Microsoft SOL Server Management Studio - X
File Edit View Project Debug Query Designer Tools Window Help

P41l (5 | L NewQuey (DR | 4 AR -0 -
i %] & = = | ChangeType~ | ¥ b | [ | E

=N - || [# [PCMWFRUNMAIN where Bizflov -| | 3l 27 3 (8]

IN-PHETIO259)H....- dbo.SDATATABLE x|

rer
3w T Q Column Alias Table Outp... Sort Type Sort Order Qr.. Or..
[ System Databases ~ar TableMame SDATATAE...
£ Database Snapshots TableDeseripti... SDATATAE...
|| MinovaDatakS_MinovalS_API
IJ MinovaES_Amartha_Dev TableType SDATATAB...
L_j MinovaES_Amartha_Prod TableClass SDATATAB...
[Jl Minovaks_Amartha_Staging DevStatus SDATATAB...
H m‘"miz-gl”fane" IsEditable SDATATAE...
inovaES_BlA_Dev
IJ MinovaES_Bl4,_Prod TimeCenstraint SDATATAE...
[J) MinovaES_Demo StoreTable SDATATAB...
& [J MinovaEs L CreateBy SDATATAB...
3 Database Diagrams
= £ Tebles (filtered) CreateDate SDATATAE...
L3 System Tables ChangeBy SDATATAB... v
[ FileTables _
=1 dbo.PHRPYMASSDATALOG TableMame TableDescription TableType TableClass DevStatus |sEditable TimeConstraint ~ StoreTable
[ dbo.SDATAFIELDREF 3 PYPAYROLLGROUPEMPLOYEE] PYPAYROLLGROUPEMPLO... 02 04 NULL 0 N PYPAYROLLGROUPEMPLOYEE
£ dbo SDATAFIELDREFTX s |NULL NULL NULL NULL NULL NULL NULL NULL
= Al SRATAREE
& > € A Notsecure | 45.251.75.66:31138/Page/PaySim?6q)mLgbwH +bIDjfrPysUF858oD7nHiur = s O 5

']

M Gmail B YouTube ) Maps &% REDMINE @) Whatshpp 0] HRISBANKKALTENG 3 HRISPERTALFE & HRISKIL &3 HRISKIL66 @ Testimony - PaketA.

e
= MyWorkpl H System Administrati Search Hel
y Workplace uman ystem e Q el Mega Yunita Adhiningsih ~

PT. KL Plastic Indonesia

Payroll Simulation & Running
IPY0018 - Payroll Group does not match PayroliGroup Employee X
I Organization Management

I Employee Administration
Payroll Group Selection
B Time Management

Payroll Group: Vendor Monas Process Type Running
Payroll Mass Data Payroll Period 11-2022 Payroll Action Al
Import Payroll Employee ID Force Retrao:

From 000222060266 Q, Ne
Export Payroll Retro Date:
Upload Init Payroll Cumulation Employee ID To 000222060266 o)

I Payroll Accounting

# System Administration

History

#1 - 12/26/2022 02:41 PM - Tri Rizqiaty

- File clipboard-202212261440-bz62n.png added

- File MinovalS.MinovaES.Extensions.Data.Element.PY.dll added
- File rp_prest_20221226.sql added

- Status changed from Assigned to Developing

Fixing :
1. Update folder API1 & API2 - bin : MinovalS.MinovaES.Extensions.Data.Element.PY.dll, file terlampir

2. Update table SDATASOURCE - DataSourceName : PYPAYROLLGROUPEMPLOYEE : rubah field LibraryNameFile menjadi
MinovalS.MinovaES.Extensions.Data.Element.PY, sesuai gambar dibawah
DataSourceMNa.. TableName StoreToTable StringQuery LibraryNameFile ClassMame MethodMame Active
PYPAYROLLGR.. MNULL 1 MULL Minovals.MinovakS.Extensions.Data.Element.PY LoadDataSet PYPAYROLLGR.. 1
(3] MULL MULL MULL MULL MULL MULL MULL
3. Excecute SP - rp_prest.sq|, file terlampir (untuk error report payroll result)
#2 - 12/26/2022 02:42 PM - Tri Rizqiaty
- Status changed from Developing to QA Test
- Assignee changed from Tri Rizqiaty to Mega Yunita
Tolong ditest diport server 66 ya, thanks
#3 - 01/04/2023 09:37 AM - Mega Yunita
- Status changed from QA Test to Closed
#4 - 01/04/2023 09:38 AM - Mega Yunita
Done mbak, sudah bisa. Terimakasih
